On this page
No Headings
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteThe unique identifier of the invoice
application/json
application/json
application/json
application/json
curl -X GET "https://api-m.sandbox.paypal.com/v1/commerce/billing/invoices/27986ceb-bb27-461d-82b1-f044646e192d"{
"id": "9cf09b3f-9e52-434c-b3f4-3675739795fa",
"sequential_id": 3,
"status": "FINALIZED",
"payment_status": "PENDING",
"amount": {
"total_amount": {
"value": 500.11,
"currency_code": "USD"
}
},
"fees": [
{
"id": "f3c91be7-85ba-4f41-857b-f844749e4f1b",
"total_amount": {
"value": 500,
"currency_code": "USD"
}
},
{
"id": "e58684ef-8e26-4339-a2ba-b243beffc3f1",
"total_amount": {
"value": 0.11,
"currency_code": "USD"
}
}
],
"due_date": "2025-07-28",
"issued_date": "2025-07-28",
"invoice_number": "PPC-9E32-202507-003",
"version_number": "4",
"payment_overdue": true,
"invoice_type": "SUBSCRIPTION",
"customer": {
"name": "Test Plan Override Customer",
"external_id": "5eb02857-a71e-4ea2-bcf9-1752783445",
"email": "[email protected]",
"id": "6610c88a-bde2-4f62-bce5-02a29384cfc3"
},
"created_at": "2025-07-28T00:10:01Z",
"updated_at": "2025-07-29T00:25:02Z"
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "string",
"issue": "string",
"description": "string"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}